Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class QualifiedName

    java.lang.Object
      com.servingxml.util.Name
          com.servingxml.util.QualifiedName

All Implemented Interfaces:
  java.lang.Comparable

    public class QualifiedName

extends Name

01/05/15

Field Summary

Fields inherited from class com.servingxml.util.Name
`EMPTY`

Constructor Summary
`QualifiedName()` Creates a name with an empty namespace URI and an empty local name.
`QualifiedName(java.lang.String localName)` Creates a name with a local name, but no namespace URI.
`QualifiedName(java.lang.String namespaceUri, java.lang.String localName)` Creates a name with the namespace URI and local name.

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`int` | `hashCode()` Returns a hash code value for this name.
`boolean` | `isEmpty()`
`java.lang.String` | `toQname(PrefixMap prefixMap)`
`java.lang.String` | `toQname(QnameContext context)`
`java.lang.String` | `toString()`
`java.lang.String` | `toUri()`

Methods inherited from class com.servingxml.util.Name
`createName, createName, createName, parse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QualifiedName

    public QualifiedName()

  Creates a name with an empty namespace URI and an empty local name.

### QualifiedName

    public QualifiedName(java.lang.String localName)

  Creates a name with a local name, but no namespace URI.

### QualifiedName

    public QualifiedName(java.lang.String namespaceUri,
                         java.lang.String localName)

  Creates a name with the namespace URI and local name.

Method Detail

### toUri

    public java.lang.String toUri()

  Specified by:
    `toUri` in class `Name`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `Name`

### getNamespaceUri

    public java.lang.String getNamespaceUri()

  Specified by:
    `getNamespaceUri` in class `Name`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in class `Name`

### toQname

    public java.lang.String toQname(PrefixMap prefixMap)

  Specified by:
    `toQname` in class `Name`

### toQname

    public java.lang.String toQname(QnameContext context)

  Specified by:
    `toQname` in class `Name`

### hashCode

    public int hashCode()

  Returns a hash code value for this name.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this name.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD